cURL
curl --request GET \
--url https://api.relay.link/config/v2const options = {method: 'GET'};
fetch('https://api.relay.link/config/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.relay.link/config/v2"
response = requests.get(url)
print(response.text){
"enabled": true,
"user": {
"balance": "<string>",
"maxBridgeAmount": "<string>"
},
"fee": "<string>",
"solver": {
"address": "<string>",
"balance": "<string>",
"capacityPerRequest": "<string>"
},
"supportsExternalLiquidity": true
}{
"message": "<string>",
"code": "<string>"
}Deprecated
Get Config
This API returns solver capacity data & user data.
GET
/
config
/
v2
cURL
curl --request GET \
--url https://api.relay.link/config/v2const options = {method: 'GET'};
fetch('https://api.relay.link/config/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.relay.link/config/v2"
response = requests.get(url)
print(response.text){
"enabled": true,
"user": {
"balance": "<string>",
"maxBridgeAmount": "<string>"
},
"fee": "<string>",
"solver": {
"address": "<string>",
"balance": "<string>",
"capacityPerRequest": "<string>"
},
"supportsExternalLiquidity": true
}{
"message": "<string>",
"code": "<string>"
}Query Parameters
User address, when supplied returns user balance and max bridge amount
Restricts the user balance and capacity to a particular currency when supplied with a currency id. Defaults to the native currency of the destination chain.
Available options:
anime, btc, cgt, dai, eth, omi, pop, tg7, tia, usdc, usdc.e, usdt, sol, weth, ape, g7, pengu, plume, plumeusd, gun, somi, synd, xpl, usde, mon, musd, usdm, pyusd, cash, eusd, pusd, bnb, usdg, pathusd, ausd, usdc.e-cronos Was this page helpful?